#ifndef __PRJXMAIN_H
#define __PRJXMAIN_H

void InstallTimers(void);
void RemoveTimers(void);

#define PRJNAME "Project X"
#define PRJVER "Beta 0.19"
#define PRJDATE "4.14.99"

#define LOGO         0
#define MAINMENU     1
#define MAINMAP      2
#define QUIT         3
#define SETUPMENU    4
#define CITY         5

BITMAP *TGA_MainMenu;  //Background for the main menu

BITMAP *TGA_SetupMenu;  // Background for the setup menu
BITMAP *TGA_Slider;     // Volume slider for the setup menu

BITMAP *TGA_MapBG;      //Background for the map screen
BITMAP *TGA_MapTiles;   //Whole tile file for the map screen
BITMAP *TGA_Tileset[240];  //Individual Tiles for the map screen
BITMAP *TGA_MapPlayerUP; //player on the map screen (facing up)
BITMAP *TGA_MapPlayerDOWN; //player on the map screen (facing down)
BITMAP *TGA_MapPlayerLEFT; //player on the map screen (facing left)
BITMAP *TGA_MapPlayerRIGHT; //player on the map screen (facing right)

int GAME_STAT;
int MidiVol;
int KeyWay;
int SndVol;
int SndVolTmp;

int TileChecked[500][500]; // when it's redrawing tiles, tells if its been checked or not
volatile int TIMER_CharMoveVar;

int CurrentCity;

struct MAPFILE
{
   int tile;
   int layer2;
   int walk;
   int enemy;
} Map[500][500];


int MH_MessageNeeded;  //for the message handler
char *MH_Message;

struct CITYLOC
{
   char name[15];
   int x;      //x location on the overworld
   int y;
   int ex;     //exit location for the city
   int ey;
   int plx;    //where the player starts
   int ply;
   char datfile[20];
} CityLoc[100];


struct PLAYER
{
   int x;
   int y;
   int hp;  //max hp is (27*PL_player.level)+85  //Maximum HP is 2758
   int mp;  //max mp is (16*PL_player.level)+50;  //Maximum HP is 1634
   int ammo;  //max ammo is (47*PL_player.level)+100  //Maximum Ammo is 4753
   int exp;
   int level;
   int direction; // direction he's facing
} PL_player;

struct ENEMY
{
   int type; // what type of enemy he is
   int x;
   int y;
   int hp;
   int mp;
   int direction;
} PL_enemy[300];

struct ITEM
{
   int hp1;
   int hp100;
   int mp1;
   int mp100;
   int elixer;
} PL_item;

struct WEAPON
{
   int knife1;
   int knife2;
   int gun1;
   int gun2;
   int sword1;
   int sword2;
   int shield1;
   int shield2;
   int bomb;
   int bow;
   int arrow;
} PL_weapon;

//Pallete colors
#define COLOR_WHITE   215
#define COLOR_BLACK   0
#define COLOR_BLUE    5
#define COLOR_YELLOW  204
#define COLOR_RED     31
#define COLOR_GREEN   109


#endif
